> For the complete documentation index, see [llms.txt](https://docs.plumvoice.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plumvoice.com/dev/voicexml/properties/recordutterancetype.md).

# recordutterancetype

## recordutterancetype <a href="#recordutterancetype" id="recordutterancetype"></a>

**Default Value:** “audio/basic”

Specifies the media format of utterance recordings.

### Example

```markup
<?xml version="1.0"?>
<vxml version="2.0">
  <property name="recordutterance" value="true"/>
  <property name="recordutterancetype" value="audio/l16"/>
  <form>
    <field name="first_name" type="firstname">
      <prompt bargein="false">
        <audio src="en_us/enter_first_name.wav">
          Please say your first name and spell it.
        </audio>
      </prompt>
      <filled>
        Your recording is <value expr="first_name$.recording"/>.
        The recording size is <value expr="first_name$.recordingsize"/> bytes.
        The recording duration is <value expr="first_name$.recordingduration"/> milliseconds.
      </filled> 
    </field>
  </form>
</vxml>
```

### Explanation

From this example, “recordutterancetype” is set to audio/l16, which is linear 16-bit PCM. The audio format can also be set to audio/basic (µ-law encoded PCM), audio/x-alaw-basic (a-law encoded PCM), or audio/x-wav (Microsoft WAV format encoded with any of the 3 formats mentioned previously).

### Notes

None


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plumvoice.com/dev/voicexml/properties/recordutterancetype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
